using System;
using System.Collections.ObjectModel;

namespace SeriesAddingWithCommand {
	public class ChartDataViewModel : PropertyChangedNotifier
	{
		private DateTime date;

		public DateTime Date
		{
			get { return date; }
			set { date = value; OnPropertyChagned("Date"); }
		}

		public double DoubleDate
		{
			get
			{
				return Date.ToOADate();
			}
		}

		private double val1;

		public double Value1
		{
			get { return val1; }
			set { val1 = value; OnPropertyChagned("Value1"); }
		}


		public static ObservableCollection<ChartDataViewModel> GenerateData(int count, int startMin, int startMax)
		{
			ObservableCollection<ChartDataViewModel> data = new ObservableCollection<ChartDataViewModel>();

			Random r = new Random();

			ChartDataViewModel data0 = new ChartDataViewModel
			{
				Date = DateTime.Now,
				Value1 = r.Next(startMin, startMax),
			};

			data.Add(data0);

			for (int i = 1; i < count; i++)
			{
				ChartDataViewModel dat = new ChartDataViewModel
				{
					Date = DateTime.Now.AddDays(i),
				};

				if (r.NextDouble() > .5)
				{
					dat.Value1 = data[i - 1].Value1 + r.NextDouble();
				}
				else
				{
					dat.Value1 = data[i - 1].Value1 - r.NextDouble();
				}

				data.Add(dat);
			}

			return data;
		}
	}
}