using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Data;
using Infragistics.Controls.Charts;

namespace SeriesAddingWithCommand {
	public class SelectedItemsToSeiresConverter : IMultiValueConverter
	{
		public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			XamDataChart chart = values[0] as XamDataChart;

			foreach (Series series in chart.Series)
			{
				series.Visibility = Visibility.Collapsed;
				(series as ScatterBase).YAxis.LabelSettings.Visibility = Visibility.Collapsed;
			}

			foreach (var item in values[1] as IList<object>)
			{
				if (chart.Series.Where(s => s.DataContext == item).FirstOrDefault() == null)
				{
					NumericYAxis yAxis = new NumericYAxis
					{
						Label = "{0:N2}-",
						LabelSettings = new AxisLabelSettings()
					};

					ScatterLineSeries series = new ScatterLineSeries
					{
						XMemberPath = "DoubleDate",
						YMemberPath = "Value1",
						MarkerType = MarkerType.None,
					};

					series.SetBinding(ScatterLineSeries.XAxisProperty, new Binding { Source = chart.Axes.FirstOrDefault() });
					series.SetBinding(ScatterLineSeries.YAxisProperty, new Binding { Source = yAxis });
					series.SetBinding(ScatterLineSeries.DataContextProperty, new Binding { Source = item });
					series.SetBinding(ScatterLineSeries.ItemsSourceProperty, new Binding { Path = new PropertyPath("ChartData") });

					chart.Axes.Add(yAxis);
					chart.Series.Add(series);
				}
				else
				{
					(chart.Series.Where(s => s.DataContext == item).FirstOrDefault() as ScatterBase).Visibility = Visibility.Visible;
					(chart.Series.Where(s => s.DataContext == item).FirstOrDefault() as ScatterBase).YAxis.LabelSettings.Visibility = Visibility.Visible;
				}
			}
			return null;
		}

		public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}